Bug 24406 - Add a span to patron category category type codes in patron search result lists
Summary: Add a span to patron category category type codes in patron search result lists
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-12 11:54 UTC by Katrin Fischer
Modified: 2021-11-22 22:59 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
The patron category type code (A, C, O, ...) is currently displayed in the patron module search, patron card creator, and acquisition patron searches. This information is not useful for most users, as these are internal codes that cannot be easily "decoded". And while you might be able to guess A as Adult in English, it doesn't translate to other languages. This patch wraps a span around the patron category type code shown in () after the patron category.
Version(s) released in:
21.11.00


Attachments
Bug 24406: Wrap patron category type code in a span on patron search results (4.60 KB, patch)
2021-08-24 21:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 24406: Wrap patron category type code in a span on patron search results (4.62 KB, patch)
2021-10-09 09:48 UTC, David Nind
Details | Diff | Splinter Review
Bug 24406: Wrap patron category type code in a span on patron search results (4.69 KB, patch)
2021-11-01 10:18 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2020-01-12 11:54:34 UTC
In the patron search, the category type of a patron will show after the patron category description. Example: Student (A)

This is confusing as those codes (A = Adult) show nowhere else in the staff interface and can't be easily translated by people using the English templates, but have even less meaning for people using translated templates. 

I suggest to remove them as I always end up explaining this in training and it's not really useful information.
Comment 1 Katrin Fischer 2021-08-24 21:43:49 UTC
Created attachment 124080 [details] [review]
Bug 24406: Wrap patron category type code in a span on patron search results

The patron category type code (A, C, O, ...) is currently displayed in the
patron module search and the patron card creator and acquisition patron searches.

This information is not useful for most users, as these are internal codes
that cannot be easily "decoded". And while you might be able to guess A as
Adult in English, it doesn't translate to other languages.

This patch wraps a span around the patron category type code shown
in () after the patron category.

To test:
- Verify for each of the following three searches, that the patron category code
  displays in the search results, but is wrapped in a span with the class
  patron_category_type
- Tools > Patron card creator
  - New > New card batch > Add patrons
  - Search for patrons
- Patrons
  - Search for patrons
- Acquisitions
  - Add a budget
  - Add a fund for the budget
  - Search for a user or owner to add
Comment 2 Katrin Fischer 2021-08-24 21:44:57 UTC
I think a span would be the easiest to agree to, but I don't really feel like it's the best possible solution.

Owen or others, maybe you got a better idea?
Comment 3 David Nind 2021-10-09 09:48:33 UTC
Created attachment 125989 [details] [review]
Bug 24406: Wrap patron category type code in a span on patron search results

The patron category type code (A, C, O, ...) is currently displayed in the
patron module search and the patron card creator and acquisition patron searches.

This information is not useful for most users, as these are internal codes
that cannot be easily "decoded". And while you might be able to guess A as
Adult in English, it doesn't translate to other languages.

This patch wraps a span around the patron category type code shown
in () after the patron category.

To test:
- Verify for each of the following three searches, that the patron category code
  displays in the search results, but is wrapped in a span with the class
  patron_category_type
- Tools > Patron card creator
  - New > New card batch > Add patrons
  - Search for patrons
- Patrons
  - Search for patrons
- Acquisitions
  - Add a budget
  - Add a fund for the budget
  - Search for a user or owner to add

Signed-off-by: David Nind <david@davidnind.com>
Comment 4 David Nind 2021-10-09 09:50:05 UTC
(In reply to Katrin Fischer from comment #2)
> I think a span would be the easiest to agree to, but I don't really feel
> like it's the best possible solution.
> 
> Owen or others, maybe you got a better idea?

I've signed off as it is currently. Happy to sign off again if others have a better idea.
Comment 5 Martin Renvoize 2021-11-01 10:18:29 UTC
Created attachment 127151 [details] [review]
Bug 24406: Wrap patron category type code in a span on patron search results

The patron category type code (A, C, O, ...) is currently displayed in the
patron module search and the patron card creator and acquisition patron searches.

This information is not useful for most users, as these are internal codes
that cannot be easily "decoded". And while you might be able to guess A as
Adult in English, it doesn't translate to other languages.

This patch wraps a span around the patron category type code shown
in () after the patron category.

To test:
- Verify for each of the following three searches, that the patron category code
  displays in the search results, but is wrapped in a span with the class
  patron_category_type
- Tools > Patron card creator
  - New > New card batch > Add patrons
  - Search for patrons
- Patrons
  - Search for patrons
- Acquisitions
  - Add a budget
  - Add a fund for the budget
  - Search for a user or owner to add

Signed-off-by: David Nind <david@davidnind.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 6 Martin Renvoize 2021-11-01 10:19:22 UTC
Trivial patch that provides a suitable work around..  It would be nice to see another bug reported to do a nicer job of allowing conversion of these type codes to translatable descriptions.

Passing QA
Comment 7 Jonathan Druart 2021-11-03 14:29:50 UTC
Pushed to master for 21.11, thanks to everybody involved!